Bug 809932 - [as7] invalid resource config is returned for Logging Resources
[as7] invalid resource config is returned for Logging Resources
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity medium (vote)
: ---
: RHQ 4.4.0
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-04 13:02 EDT by Ian Springer
Modified: 2015-11-01 19:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:12:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-04-04 13:02:02 EDT
{jboss-as-7}Logging=java.lang.Exception: Resource config is not valid: [Required property 'level' has a null value in PropertyMap[id=0, name=root-logger, map={level=PropertySimple[id=0, name=level, value=null, override=null]}]., Required property 'handlers' was not set in PropertyMap[id=0, name=root-logger, map={level=PropertySimple[id=0, name=level, value=, override=null]}].]
Comment 1 Stefan Negrea 2012-04-09 17:25:14 EDT
Removed map nesting for the resource since the child: moniker maps the result directly to the group properties.
Comment 2 Heiko W. Rupp 2012-04-10 11:24:16 EDT
Latest hudson run shows them all as ok now.
Comment 4 Heiko W. Rupp 2013-09-01 06:12:21 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.